---
# Cop supports --auto-correct.
Layout/FirstArrayElementIndentation:
  Exclude:
    - 'ee/lib/ee/api/helpers/award_emoji.rb'
    - 'ee/spec/graphql/mutations/incident_management/escalation_policy/create_spec.rb'
    - 'ee/spec/graphql/resolvers/dora_metrics_resolver_spec.rb'
    - 'ee/spec/graphql/resolvers/security_orchestration/scan_execution_policy_resolver_spec.rb'
    - 'ee/spec/graphql/resolvers/timebox_report_resolver_spec.rb'
    - 'ee/spec/graphql/types/ci/pipeline_type_spec.rb'
    - 'ee/spec/graphql/types/dast_scanner_profile_type_spec.rb'
    - 'ee/spec/graphql/types/dast_site_profile_type_spec.rb'
    - 'ee/spec/helpers/paid_feature_callout_helper_spec.rb'
    - 'ee/spec/helpers/trial_status_widget_helper_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/access_levels_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/group_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage_data_spec.rb'
    - 'ee/spec/lib/gitlab/checks/diff_check_spec.rb'
    - 'ee/spec/lib/gitlab/ci/config/security_orchestration_policies/processor_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/Jobs/browser_performance_testing_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/Jobs/dast_default_branch_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/Jobs/load_performance_testing_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/yaml_processor_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/epics/epic_node_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/epics/lazy_links_aggregate_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/issues/lazy_links_aggregate_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/loaders/bulk_epic_aggregate_loader_spec.rb'
    - 'ee/spec/lib/gitlab/usage/metrics/instrumentations/count_ci_builds_metric_spec.rb'
    - 'ee/spec/lib/gitlab/usage/metrics/instrumentations/count_users_creating_ci_builds_metric_spec.rb'
    - 'ee/spec/lib/gitlab/vulnerabilities/parser_spec.rb'
    - 'ee/spec/models/analytics/cycle_analytics/group_value_stream_spec.rb'
    - 'ee/spec/models/application_setting_spec.rb'
    - 'ee/spec/models/approval_state_spec.rb'
    - 'ee/spec/models/burndown_spec.rb'
    - 'ee/spec/models/concerns/ee/noteable_spec.rb'
    - 'ee/spec/models/concerns/geo/verification_state_spec.rb'
    - 'ee/spec/models/ee/iterations/cadence_spec.rb'
    - 'ee/spec/models/ee/namespace_spec.rb'
    - 'ee/spec/models/ee/release_spec.rb'
    - 'ee/spec/models/group_wiki_repository_spec.rb'
    - 'ee/spec/models/namespace_setting_spec.rb'
    - 'ee/spec/models/project_spec.rb'
    - 'ee/spec/models/requirements_management/test_report_spec.rb'
    - 'ee/spec/models/security/orchestration_policy_configuration_spec.rb'
    - 'ee/spec/models/security/orchestration_policy_rule_schedule_spec.rb'
    - 'ee/spec/models/security/scan_spec.rb'
    - 'ee/spec/models/security/training_provider_spec.rb'
    - 'ee/spec/models/snippet_repository_spec.rb'
    - 'ee/spec/policies/project_policy_spec.rb'
    - 'ee/spec/requests/admin/user_permission_exports_controller_spec.rb'
    - 'ee/spec/requests/api/analytics/project_deployment_frequency_spec.rb'
    - 'ee/spec/requests/api/experiments_spec.rb'
    - 'ee/spec/requests/api/graphql/analytics/devops_adoption/enabled_namespaces_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epics_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/quality_management/test_cases/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/releases/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/releases/update_spec.rb'
    - 'ee/spec/requests/api/graphql/project/alert_management/payload_fields_spec.rb'
    - 'ee/spec/requests/api/graphql/project/incident_management/escalation_policy/rules_spec.rb'
    - 'ee/spec/requests/api/graphql/project/merge_requests_spec.rb'
    - 'ee/spec/requests/api/internal/kubernetes_spec.rb'
    - 'ee/spec/requests/api/ldap_group_links_spec.rb'
    - 'ee/spec/requests/api/members_spec.rb'
    - 'ee/spec/services/analytics/cycle_analytics/value_streams/update_service_spec.rb'
    - 'ee/spec/services/audit_events/export_csv_service_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/fetch_purchase_eligible_namespaces_service_spec.rb'
    - 'ee/spec/services/groups/seat_usage_export_service_spec.rb'
    - 'ee/spec/services/iterations/cadences/create_iterations_in_advance_service_spec.rb'
    - 'ee/spec/services/protected_environments/base_service_spec.rb'
    - 'ee/spec/services/search_service_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/hooks_execution_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/process_scan_result_policy_service_spec.rb'
    - 'ee/spec/services/security/store_findings_metadata_service_spec.rb'
    - 'ee/spec/services/timebox_report_service_spec.rb'
    - 'ee/spec/services/user_permissions/export_service_spec.rb'
    - 'ee/spec/support/shared_examples/services/search_notes_shared_examples.rb'
    - 'ee/spec/workers/geo/scheduler/scheduler_worker_spec.rb'
    - 'lib/event_filter.rb'
    - 'lib/gitlab/database/migration_helpers.rb'
    - 'lib/gitlab/email/message/in_product_marketing/team.rb'
    - 'lib/gitlab/email/message/in_product_marketing/trial.rb'
    - 'lib/gitlab/email/message/in_product_marketing/verify.rb'
    - 'lib/gitlab/import_export/base/relation_factory.rb'
    - 'lib/gitlab/import_export/json/streaming_serializer.rb'
    - 'lib/gitlab/kroki.rb'
    - 'lib/gitlab/object_hierarchy.rb'
    - 'lib/gitlab/pagination/keyset/simple_order_builder.rb'
    - 'lib/gitlab/project_authorizations.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/system_check/app/authorized_keys_permission_check.rb'
    - 'qa/qa/resource/protected_branch.rb'
    - 'qa/qa/specs/features/api/1_manage/group_access_token_spec.rb'
    - 'qa/qa/specs/features/api/1_manage/project_access_token_spec.rb'
    - 'qa/qa/specs/features/api/1_manage/user_access_termination_spec.rb'
    - 'qa/qa/specs/features/api/1_manage/user_inherited_access_spec.rb'
    - 'qa/qa/specs/features/api/3_create/gitaly/automatic_failover_and_recovery_spec.rb'
    - 'qa/qa/specs/features/api/3_create/gitaly/changing_repository_storage_spec.rb'
    - 'qa/qa/specs/features/api/3_create/gitaly/gitaly_mtls_spec.rb'
    - 'qa/qa/specs/features/api/3_create/gitaly/praefect_dataloss_spec.rb'
    - 'qa/qa/specs/features/api/3_create/repository/commit_to_templated_project_spec.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/group/transfer_project_spec.rb'
    - 'qa/qa/specs/features/browser_ui/2_plan/issue/custom_issue_template_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/merge_request/cherry_pick/cherry_pick_commit_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/merge_request/create_merge_request_via_template_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/merge_request/revert/revert_commit_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/branch_with_unusual_name_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/web_ide/add_new_directory_in_web_ide_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/web_ide/open_web_ide_from_diff_tab_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/helm_registry_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/maven/maven_group_level_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/maven/maven_project_level_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/maven_gradle_repository_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/nuget/nuget_group_level_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/nuget/nuget_project_level_spec.rb'
    - 'qa/qa/specs/features/ee/api/1_manage/user/minimal_access_user_spec.rb'
    - 'qa/qa/specs/features/ee/api/9_enablement/elasticsearch/advanced_global_advanced_syntax_search_spec.rb'
    - 'qa/qa/specs/features/ee/api/9_enablement/elasticsearch/elasticsearch_api_spec.rb'
    - 'qa/qa/specs/features/ee/api/9_enablement/elasticsearch/index_tests/main_index/blob_index_spec.rb'
    - 'qa/qa/specs/features/ee/api/9_enablement/elasticsearch/nightly_elasticsearch_test_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/repository/code_owners_with_protected_branch_and_squashed_commits_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/4_verify/new_discussion_not_dropping_merge_trains_mr_spec.rb'
    - 'spec/controllers/concerns/send_file_upload_spec.rb'
    - 'spec/controllers/graphql_controller_spec.rb'
    - 'spec/controllers/projects/ci/daily_build_group_report_results_controller_spec.rb'
    - 'spec/controllers/projects/ci/lints_controller_spec.rb'
    - 'spec/controllers/projects/pipelines/tests_controller_spec.rb'
    - 'spec/controllers/projects/pipelines_controller_spec.rb'
    - 'spec/deprecation_toolkit_env.rb'
    - 'spec/features/clusters/create_agent_spec.rb'
    - 'spec/finders/bulk_imports/entities_finder_spec.rb'
    - 'spec/finders/ci/daily_build_group_report_results_finder_spec.rb'
    - 'spec/finders/deploy_tokens/tokens_finder_spec.rb'
    - 'spec/finders/groups/projects_requiring_authorizations_refresh/on_direct_membership_finder_spec.rb'
    - 'spec/finders/groups/projects_requiring_authorizations_refresh/on_transfer_finder_spec.rb'
    - 'spec/frontend/fixtures/search.rb'
    - 'spec/graphql/mutations/commits/create_spec.rb'
    - 'spec/graphql/mutations/environments/canary_ingress/update_spec.rb'
    - 'spec/graphql/resolvers/ci/test_suite_resolver_spec.rb'
    - 'spec/graphql/types/ci/runner_architecture_type_spec.rb'
    - 'spec/graphql/types/ci/runner_platform_type_spec.rb'
    - 'spec/graphql/types/metrics/dashboard_type_spec.rb'
    - 'spec/graphql/types/packages/composer/metadatum_type_spec.rb'
    - 'spec/graphql/types/packages/tag_type_spec.rb'
    - 'spec/helpers/application_settings_helper_spec.rb'
    - 'spec/helpers/commits_helper_spec.rb'
    - 'spec/helpers/issuables_description_templates_helper_spec.rb'
    - 'spec/helpers/listbox_helper_spec.rb'
    - 'spec/helpers/users_helper_spec.rb'
    - 'spec/lib/api/helpers/merge_requests_helpers_spec.rb'
    - 'spec/lib/banzai/filter/references/label_reference_filter_spec.rb'
    - 'spec/lib/csv_builders/stream_spec.rb'
    - 'spec/lib/expand_variables_spec.rb'
    - 'spec/lib/gitlab/analytics/usage_trends/workers_argument_builder_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_integrations_type_new_spec.rb'
    - 'spec/lib/gitlab/background_migration/cleanup_orphaned_lfs_objects_projects_spec.rb'
    - 'spec/lib/gitlab/background_migration/migrate_merge_request_diff_commit_users_spec.rb'
    - 'spec/lib/gitlab/background_migration/recalculate_vulnerabilities_occurrences_uuid_spec.rb'
    - 'spec/lib/gitlab/ci/ansi2json_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/product/parallel_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/file/artifact_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/file/project_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/mapper_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/sbom/validators/cyclonedx_schema_validator_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/security/common_spec.rb'
    - 'spec/lib/gitlab/ci/reports/codequality_reports_comparer_spec.rb'
    - 'spec/lib/gitlab/ci/reports/codequality_reports_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder/group_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder/project_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder_spec.rb'
    - 'spec/lib/gitlab/ci/variables/collection/sort_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor/result_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor_spec.rb'
    - 'spec/lib/gitlab/conflict/file_spec.rb'
    - 'spec/lib/gitlab/database/each_database_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/rack_middleware_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/sticking_spec.rb'
    - 'spec/lib/gitlab/database/obsolete_ignored_columns_spec.rb'
    - 'spec/lib/gitlab/database/partitioning/monthly_strategy_spec.rb'
    - 'spec/lib/gitlab/database/partitioning/sliding_list_strategy_spec.rb'
    - 'spec/lib/gitlab/database/partitioning/time_partition_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_spec.rb'
    - 'spec/lib/gitlab/database/similarity_score_spec.rb'
    - 'spec/lib/gitlab/diff/char_diff_spec.rb'
    - 'spec/lib/gitlab/diff/file_collection_sorter_spec.rb'
    - 'spec/lib/gitlab/error_tracking/stack_trace_highlight_decorator_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/blob_service_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/diff_notes_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/issues_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/lfs_objects_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/notes_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/parallel_scheduling_spec.rb'
    - 'spec/lib/gitlab/grape_logging/formatters/lograge_with_timestamp_spec.rb'
    - 'spec/lib/gitlab/hook_data/release_builder_spec.rb'
    - 'spec/lib/gitlab/import_export/group/tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/group/tree_saver_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_restorer_spec.rb'
    - 'spec/lib/gitlab/kubernetes/rollout_instances_spec.rb'
    - 'spec/lib/gitlab/middleware/handle_malformed_strings_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/column_order_definition_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/in_operator_optimization/query_builder_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/in_operator_optimization/strategies/order_values_loader_strategy_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/iterator_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/order_spec.rb'
    - 'spec/lib/gitlab/project_transfer_spec.rb'
    - 'spec/lib/gitlab/prometheus_client_spec.rb'
    - 'spec/lib/gitlab/push_options_spec.rb'
    - 'spec/lib/gitlab/rack_attack/request_spec.rb'
    - 'spec/lib/gitlab/search/abuse_detection_spec.rb'
    - 'spec/lib/gitlab/search/found_blob_spec.rb'
    - 'spec/lib/gitlab/serializer/ci/variables_spec.rb'
    - 'spec/lib/gitlab/sidekiq_config_spec.rb'
    - 'spec/lib/gitlab/ssh_public_key_spec.rb'
    - 'spec/lib/gitlab/usage_data/topology_spec.rb'
    - 'spec/lib/gitlab/usage_data_spec.rb'
    - 'spec/lib/gitlab/utils_spec.rb'
    - 'spec/lib/gitlab/webpack/manifest_spec.rb'
    - 'spec/lib/google_api/cloud_platform/client_spec.rb'
    - 'spec/lib/peek/views/bullet_detailed_spec.rb'
    - 'spec/lib/system_check/incoming_email_check_spec.rb'
    - 'spec/lib/unnested_in_filters/rewriter_spec.rb'
    - 'spec/migrations/add_premium_and_ultimate_plan_limits_spec.rb'
    - 'spec/migrations/backfill_escalation_policies_for_oncall_schedules_spec.rb'
    - 'spec/migrations/slice_merge_request_diff_commit_migrations_spec.rb'
    - 'spec/models/analytics/cycle_analytics/project_stage_spec.rb'
    - 'spec/models/application_setting_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/ci/build_trace_spec.rb'
    - 'spec/models/ci/daily_build_group_report_result_spec.rb'
    - 'spec/models/ci/pipeline_spec.rb'
    - 'spec/models/ci/runner_version_spec.rb'
    - 'spec/models/ci/unit_test_spec.rb'
    - 'spec/models/clusters/applications/cert_manager_spec.rb'
    - 'spec/models/clusters/platforms/kubernetes_spec.rb'
    - 'spec/models/commit_collection_spec.rb'
    - 'spec/models/compare_spec.rb'
    - 'spec/models/concerns/id_in_ordered_spec.rb'
    - 'spec/models/concerns/noteable_spec.rb'
    - 'spec/models/diff_note_spec.rb'
    - 'spec/models/discussion_spec.rb'
    - 'spec/models/group_group_link_spec.rb'
    - 'spec/models/group_spec.rb'
    - 'spec/models/integration_spec.rb'
    - 'spec/models/integrations/chat_message/issue_message_spec.rb'
    - 'spec/models/integrations/chat_message/wiki_page_message_spec.rb'
    - 'spec/models/integrations/jira_spec.rb'
    - 'spec/models/label_note_spec.rb'
    - 'spec/models/merge_request/cleanup_schedule_spec.rb'
    - 'spec/models/merge_request_diff_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/operations/feature_flags/strategy_spec.rb'
    - 'spec/models/project_group_link_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/user_preference_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/models/wiki_directory_spec.rb'
    - 'spec/policies/concerns/crud_policy_helpers_spec.rb'
    - 'spec/presenters/ci/build_runner_presenter_spec.rb'
    - 'spec/requests/api/ci/jobs_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_request_post_spec.rb'
    - 'spec/requests/api/ci/runners_spec.rb'
    - 'spec/requests/api/deploy_tokens_spec.rb'
    - 'spec/requests/api/graphql/ci/config_spec.rb'
    - 'spec/requests/api/graphql/ci/jobs_spec.rb'
    - 'spec/requests/api/graphql/mutations/uploads/delete_spec.rb'
    - 'spec/requests/api/graphql/project/cluster_agents_spec.rb'
    - 'spec/requests/api/graphql/project/issue/designs/designs_spec.rb'
    - 'spec/requests/api/graphql/project/milestones_spec.rb'
    - 'spec/requests/api/graphql/usage_trends_measurements_spec.rb'
    - 'spec/requests/api/graphql/work_item_spec.rb'
    - 'spec/requests/api/issues/post_projects_issues_spec.rb'
    - 'spec/requests/api/issues/put_projects_issues_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/task_completion_status_spec.rb'
    - 'spec/requests/projects/ci/promeheus_metrics/histograms_controller_spec.rb'
    - 'spec/requests/projects/issues_controller_spec.rb'
    - 'spec/requests/projects/merge_requests_controller_spec.rb'
    - 'spec/serializers/build_trace_entity_spec.rb'
    - 'spec/serializers/ci/daily_build_group_report_result_serializer_spec.rb'
    - 'spec/serializers/merge_request_poll_widget_entity_spec.rb'
    - 'spec/services/award_emojis/copy_service_spec.rb'
    - 'spec/services/bulk_update_integration_service_spec.rb'
    - 'spec/services/ci/compare_test_reports_service_spec.rb'
    - 'spec/services/ci/create_pipeline_service/rules_spec.rb'
    - 'spec/services/ci/find_exposed_artifacts_service_spec.rb'
    - 'spec/services/design_management/move_designs_service_spec.rb'
    - 'spec/services/git/tag_hooks_service_spec.rb'
    - 'spec/services/google_cloud/setup_cloudsql_instance_service_spec.rb'
    - 'spec/services/import/gitlab_projects/create_project_service_spec.rb'
    - 'spec/services/jira_connect/sync_service_spec.rb'
    - 'spec/services/merge_requests/link_lfs_objects_service_spec.rb'
    - 'spec/services/merge_requests/refresh_service_spec.rb'
    - 'spec/services/repositories/changelog_service_spec.rb'
    - 'spec/services/resource_events/synthetic_milestone_notes_builder_service_spec.rb'
    - 'spec/services/security/merge_reports_service_spec.rb'
    - 'spec/services/users/destroy_service_spec.rb'
    - 'spec/simplecov_env.rb'
    - 'spec/support/atlassian/jira_connect/schemata.rb'
    - 'spec/support/capybara.rb'
    - 'spec/support/helpers/project_template_test_helper.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/helpers/usage_data_helpers.rb'
    - 'spec/support/matchers/exceed_query_limit.rb'
    - 'spec/support/migrations_helpers/vulnerabilities_findings_helper.rb'
    - 'spec/support/prometheus/additional_metrics_shared_examples.rb'
    - 'spec/support/shared_contexts/policies/group_policy_shared_context.rb'
    - 'spec/support/shared_examples/graphql/label_fields.rb'
    - 'spec/support/shared_examples/lib/gitlab/middleware/multipart_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/repository_storage_moves_shared_examples.rb'
    - 'spec/views/projects/issues/_related_branches.html.haml_spec.rb'
    - 'tooling/lib/tooling/helm3_client.rb'
